package request

import (
	"topsdk/ability180/domain"
	"topsdk/util"
)

type TmallItemSeriesItemseriesInsertorupdateRequest struct {
	/*
	   商品系列创建或修改请求入参     */
	ItemSeriesRequest *domain.TmallItemSeriesItemseriesInsertorupdateItemSeriesRequest `json:"item_series_request" required:"true" `
}

func (s *TmallItemSeriesItemseriesInsertorupdateRequest) SetItemSeriesRequest(v domain.TmallItemSeriesItemseriesInsertorupdateItemSeriesRequest) *TmallItemSeriesItemseriesInsertorupdateRequest {
	s.ItemSeriesRequest = &v
	return s
}

func (req *TmallItemSeriesItemseriesInsertorupdateRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.ItemSeriesRequest != nil {
		paramMap["item_series_request"] = util.ConvertStruct(*req.ItemSeriesRequest)
	}
	return paramMap
}

func (req *TmallItemSeriesItemseriesInsertorupdateRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
